<?php

define('ALFA_PAYMENT_BANK_NAME', 'Alfa Bank');

define('ALFA_PROD_URL' , 'https://ecom.alfabank.ru/api/rest/');
define('ALFA_TEST_URL' , 'https://tws.egopay.ru/api/ab/rest/');
define('ALFA_PROD_URL_ALT' , 'https://ecom.alfabank.ru/api/rest/');
define('ALFA_PROD_URL_ALT_PREFIX' , 'r-');

define('ALFA_ENABLE_FISCALE_OPTIONS', true);
define('ALFA_MEASUREMENT_NAME', 'шт');
define('ALFA_MEASUREMENT_CODE', 0);

define('ALFA_PAYMENT_CURRENCY', serialize(array(
    '840' => 'USD',
    '980' => 'UAH',
    '810' => 'RUB',
    '946' => 'RON',
    '398' => 'KZT',
    '417' => 'KGS',
    '392' => 'JPY',
    '826' => 'GBR',
    '978' => 'EUR',
    '156' => 'CNY',
    '974' => 'BYR',
    '933' => 'BYN'
)));

// -------------------------------------------------

define('ALFA_PAYMENT_TEXT_LOGIN_API', 'Логин-API');
define('ALFA_PAYMENT_TEXT_PASSWORD', 'Пароль');
define('ALFA_PAYMENT_TEXT_TEST_MODE', 'Тестовый режим');
define('ALFA_PAYMENT_TEXT_TWO_PHASE_PAYMENTS', 'Двухстадийные платежи');

define('ALFA_PAYMENT_TEXT_SEND_CART_DATA', "Отправлять данные корзины покупателя");
define('ALFA_PAYMENT_TEXT_SEND_CART_DATA_DESCRIPTION', "");
define('ALFA_PAYMENT_TEXT_TAX_SYSTEM', 'Система налогооблажения');
define('ALFA_PAYMENT_TEXT_VAT_DEFAULT', 'Налоговая ставка по умолчаниюю');

define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_1', 'Общая');
define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_2', 'Упрощённая, доход');
define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_3', 'Упрощённая, доход минус расход');
define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_4', 'Eдиный налог на вменённый доход');
define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_5', 'Eдиный сельскохозяйственный налог');
define('ALFA_PAYMENT_ENTRY_TAX_SYSTEM_6', 'Патентная система налогообложения');

define('ALFA_PAYMENT_TEXT_PAYMENT_METHOD', 'Тип оплаты');
define('ALFA_PAYMENT_TEXT_PAYMENT_OBJECT', 'Тип оплачиваемой позиции');
define('ALFA_PAYMENT_TEXT_PAYMENT_METHOD_DELIVERY', 'Тип оплаты для доставки');

define('ALFA_PAYMENT_ENTRY_NO_VAT', 'Без НДС');
define('ALFA_PAYMENT_ENTRY_VAT0', 'НДС 0%');
define('ALFA_PAYMENT_ENTRY_VAT10', 'НДС 10%');
define('ALFA_PAYMENT_ENTRY_VAT18', 'НДС 18%');
define('ALFA_PAYMENT_ENTRY_VAT20', 'НДС 20%');
define('ALFA_PAYMENT_ENTRY_VAT10_110', 'НДС чека по расчетной ставке 10/110');
define('ALFA_PAYMENT_ENTRY_VAT18_118', 'НДС чека по расчетной ставке 18/118');
define('ALFA_PAYMENT_ENTRY_VAT20_120', 'НДС чека по расчетной ставке 20/120');

define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_1', 'Полная предварительная оплата до момента передачи предмета расчёта');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_2', 'Частичная предварительная оплата до момента передачи предмета расчёта');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_3', 'Аванс');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_4', 'Полная оплата в момент передачи предмета расчёта');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_5', 'астичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_6', 'Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит');
define('ALFA_PAYMENT_ENTRY_PAYMENT_METHOD_7', 'Оплата предмета расчёта после его передачи с оплатой в кредит');

define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_1', 'Товар');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_2', 'Подакцизный товар');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_3', 'Работа');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_4', 'Услуга');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_5', 'Ставка азартной игры');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_6', 'Выигрыш в азартных играх');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_7', 'Лотерейный билет');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_8', 'Выигрыш в лотерею');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_9', 'Предоставление РИД');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_10', 'Платеж');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_11', 'Агентское вознаграждение');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_12', 'Составной предмет расчёта');
define('ALFA_PAYMENT_ENTRY_PAYMENT_OBJECT_13', 'Другое');

define('ALFA_PAYMENT_MSG_PAYMENT_ERROR', 'Ошибка оплаты. Обратитесть в магазин.');
define('ALFA_PAYMENT_MSG_EMAIL_ERROR', 'System Email is not set.');
define('ALFA_PAYMENT_MSG_CURRENCY_ERROR', 'Ошибка оплаты. Неизвестная валюта.');
define('ALFA_PAYMENT_MSG_ERROR_MESSAGE', 'Ошибка оплаты: ');
define('ALFA_PAYMENT_TEXT_REDIRECT', 'Перенаправление к форме оплаты...');
define('ALFA_PAYMENT_TEXT_REDIRECT_BUTTON', 'перейти к оплате');
define('ALFA_PAYMENT_TEXT_DELIVERY', 'Доставка');